package performa.orm;

import oneit.utils.CollectionUtils;


public class CandidateDiversityAnswer extends BaseCandidateDiversityAnswer
{
    private static final long serialVersionUID = 0L;
    
    // This constructor should not be called
    public CandidateDiversityAnswer ()
    {
        // Do not add any code to this, always put it in initialiseNewObject
    }
    
    public CandidateDiversityAnswer getAnswerForQuestion(HTDiversityQuestion htQuestion)
    {
        CandidateDiversityAnswer    answer  =   null;
        
        if(htQuestion != null)
        {
            for(CultureCriteria cc: htQuestion.getQ)
            {
                if(CollectionUtils.equals(cc.getCultureElement(), getCultureElement()))
                {
                    criteria =   cc;
                    
                    break;
                }
            }
        }
        
        return answer;
    }
}